<!DOCTYPE html>
<html lang="en" dir="ltr">
     <head>
          <meta charset="utf-8">
          <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
          <title>MinuTehnik</title>
     </head>
     <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
     <style>
          html, body {
               margin: 0px;
               padding: 0px;
               overflow-x: hidden;
               overflow-y: auto;
          }
          .images {
               width: 100%;
               overflow: hidden;
               z-index: 1;
          }
          .image {
               overflow: hidden;
               width: 100%;
               min-width: 320px;
               margin-left: 50%;
               transform: translateX(-50%);
               position: absolute;
               display: none;

          }
          .message {
               z-index: 3;
               background: rgba(0, 0, 0, 0.2);
               color: #FFFFFF;
               padding-left: 15px;
               padding-right: 15px;
               padding-top: 10px;
               padding-bottom: 10px;
               font-size: 16px;
               font-weight: bold;
               font-family: Helvetica, Arial;
               line-height: normal;
               text-align: center;
               vertical-align: middle;
               top: 80px;
               cursor: pointer;
               position: fixed;
               width: 250px;
               left: 50%;
               margin-left: -125px;
               border-radius: 10px;
               display: none;
          }
          .button {
               z-index: 2;
               background: rgba(0, 0, 0, 0.2);
               color: #FFFFFF;
               padding-left: 15px;
               padding-right: 15px;
               padding-top: 15px;
               padding-bottom: 15px;
               font-size: 25px;
               font-family: Helvetica, Arial;
               line-height: normal;
               text-align: center;
               vertical-align: middle;
               top: 50%;
               cursor: pointer;
               position: fixed;
          }
          .button:hover {
               background: rgba(0, 0, 0, 0.1);
          }
          .button-prev {
               left: 0;
          }
          .button-next {
               right: 0;
          }
     </style>
     <script>

          $(function(){

               var nr = 1;
               var num_images = $('.images .image').length;

               function showLog (nr, img){
                    console.log('Show (' + nr + '/' + num_images + '): ' + img.attr('src'));
               }

               function showMessage(message){
                    $("html, body").stop().animate({scrollTop:0}, 1000, 'swing', function() {
                         //
                    });
                    $('.message').text(message).fadeIn('fast');
                    setTimeout(function(){
                         $('.message').text(message).fadeOut('slow');
                    }, 1500);
               }

               $('.image:first').show();
               $('.button-prev').hide();
               showLog(1, $('.image:first'));
               showMessage($('.image:first').attr('alt'));

               $('.button-next').click(function(){
                    nr++;
                    if(nr >= num_images){
                         nr = num_images;
                         $('.button-next').fadeOut('slow');
                    } else {
                         $('.button-next').fadeIn('slow');
                    }
                    $('.button-prev').fadeIn('slow');
                    $('.image').fadeOut('fast');
                    var image = $('.image:eq(' + (nr - 1) + ')')
                    image.fadeIn('fast');
                    showLog(nr, image);
                    showMessage(image.attr('alt'))
               });

               $('.button-prev').click(function(){
                    nr--;
                    if(nr <= 1){
                         nr = 1;
                         $('.button-prev').fadeOut('slow');
                    } else {
                         $('.button-prev').fadeIn('slow');
                    }
                    $('.button-next').fadeIn('slow');
                    $('.image').fadeOut('fast');
                    var image = $('.image:eq(' + (nr - 1) + ')')
                    image.fadeIn('fast');
                    showLog(nr, image);
                    showMessage(image.attr('alt'))
               });

          });
     </script>
     <body>
          <div class="message"></div>
          <div class="button button-prev">&laquo;</div>
          <div class="button button-next">&raquo;</div>
          <div class="images">
               <img class="image" src="minu_tehnik-320-1.jpg" alt="Visiidiinfo" />
               <img class="image" src="minu_tehnik-320-2.jpg" alt="Tehniku asukoht" />
               <img class="image" src="minu_tehnik-320-3.jpg" alt="Visiidiaja muutmine" />
               <img class="image" src="minu_tehnik-320-error.jpg" alt="Teavitus" />
          </div>
     </body>
</html>
